diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/__init__.py
index 671b6f4..e574d7a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/__init__.py
@@ -548,6 +548,7 @@ class EventTriggerView(PGChildNodeView):
             if not isinstance(sql, (str, unicode)):
                 return sql
             sql = sql.strip('\n').strip(' ')
+            sql = re.sub('\n{2,}', '\n\n', sql)
             if sql == '':
                 sql = "--modified SQL"
             return make_json_response(
@@ -661,6 +662,7 @@ class EventTriggerView(PGChildNodeView):
         sql_header += "\n"
 
         sql = sql_header + sql
+        sql = re.sub('\n{2,}', '\n\n', sql)
 
         return ajax_response(response=sql)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/js/event_trigger.js b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/js/event_trigger.js
index 1291cfb..a5e5d21 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/js/event_trigger.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/js/event_trigger.js
@@ -58,10 +58,10 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
           name: undefined,
           eventowner: undefined,
           comment: undefined,
-          enabled: undefined,
+          enabled: "O",
           eventfuncoid: undefined,
           eventfunname: undefined,
-          eventname: undefined,
+          eventname: "DDL_COMMAND_START",
           when: undefined,
           xmin: undefined,
           source: undefined,
